#include <stdint.h>
#include "plc_urv_regs.h"

#define SLOT pins_4

void
init (void)
{
  volatile struct plc_urv_regs *regs =
    (volatile struct plc_urv_regs *)0x100000;

  regs->relays.SLOT = 0;
}

void
main (void)
{
  volatile struct plc_urv_regs *regs =
    (volatile struct plc_urv_regs *)0x100000;

  unsigned v = regs->loops.SLOT;

  regs->relays.SLOT = -(v & 1) & (~1);
}
