#include <stdint.h>
#include "plc_urv_regs.h"

void
init (void)
{
  volatile struct plc_urv_regs *regs =
    (volatile struct plc_urv_regs *)0x100000;

  regs->mailboxes.mboxout = 0x12345678;
}

void
main (void)
{
  volatile struct plc_urv_regs *regs =
    (volatile struct plc_urv_regs *)0x100000;

  if (regs->mailboxes.status & MBOX_REGS_STATUS_MBIN)
    {
      unsigned dat;

      dat = regs->mailboxes.mboxin;
      regs->mailboxes.mboxout = ~dat;
    }
}
